Subject: Re: bug#10299: Emacs doesn't handle Unicode characters in keyboard layout on MS Windows

From: Eli Zaretskii <[email-masked]>
Date: Tue, 07 Aug 2012 05:53:29 +0300

> Date: Mon, 6 Aug 2012 22:20:01 +0200
> From: Joakim Hårsman <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> Sorry for the late reply, I've been away on vacation.

No sweat.  Hope you had a good one.

> The change to SetWindowTextW for frame titles was needed because
> otherwise the frame title was cut short after the first character
> (presumably because the window class name is a UCS-2 wide string and
> the second byte therefore is null). This is exaclty the case they talk
> about at your link.
> 
> If I change w32_set frame text to always call SetWindowText I get a
> default frame title of "e". Changing DispatchMessage to use the wide
> version when appropriate doesn't help either.

I didn't see any problem with the frame title, with the patch I sent.
I'm curious to hear if you will still see that problem.

> I'll try your new patch tomorrow and get back with details on how it worked,

Thank you.